
Family Care - Bug #2377

Exceptional stop ـ submission form ـ validation test cases

04/01/2021 03:09 PM - Saja Nakhleh

Status: Closed Start date: 04/01/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Shadi Abuomar Actual Result: Issue #1:

1. the occurred error message will

prevent navigating to any other tab

2. all the form validations should be

occurred over the tabs or over the form

(when submit action is clicked), the

current behaviour is week and very poor

as each error occurs on diffrent way !

kindly find the scenarios on the following

vedio:

https://www.loom.com/share/26862913b

cb849d4aa83011bcc246e85

Issue #2:

the options have some spelling mistakes

as shown on the attached evidence

36.png

ISsue #3:

the text length is not validated and if a

very long value is entered a NULL error

will be occurred as on the attached

evidence 1.gif

Issue #4:

A validation message will be occurred

but the attachment will be attached !! use

the sample bellow (8MB.pdf)

Severity: Normal Environment: QA

Category: Exceptional stop Transaction Number:  

Sub-Category:  Username: USR00012/12345678

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: Issue #1:

the occurred error message should

prevent submitting the form BUT it

should NOT prevent the navigation

between the tabs

Issue #2:

The values should be spelled

successfully.

Issue #3:

the length should be validated or the text

should be trimed after a specific length

Issue #4:

the attachment size should be validated

and prevent attach any larg files

Test Case ID:  
Description

Issue #1:

1. Select any file (i.e: 265062302008)

2. select exceptional stop service

3. navigate to the (ملاحظات الحاسب الالي) tab

4. keep the field (حالة الملف الاستثنائي) empty

5. navigate to the attachments tab and observe the occurred error

Issue #2:

1. Select any file (i.e: 265062302008)

2. select exceptional stop service

3. navigate to the (ملاحظات الحاسب الالي) tab

4. from the field (حالة الملف الاستثنائي), select the value(stop)

5. click inside the drop down list: stop reason and observe the options

Issue #3:

1. Select any file (i.e: 265062302008)

2. select exceptional stop service

3. navigate to the (ملاحظات الحاسب الالي) tab

4. fill all the mandatory fields

5. Fill the field (Notes) with larg value (8000 charachter, attached bellow)

Issue #4:

1. Select any file (i.e: 265062302008)

2. select exceptional stop service

3. navigate to the (ملاحظات الحاسب الالي) tab

4. fill all the mandatory fields

5. Navigate to the attachments tab

6. attch a very larg attachment and observe the behaviour

History

#1 - 04/01/2021 03:30 PM - Saja Nakhleh

- Assignee set to Sewar Tahat

#2 - 04/07/2021 04:44 PM - Sewar Tahat

- Status changed from Open to Feedback

- Assignee changed from Sewar Tahat to Saja Nakhleh

Issue#1&2&3 fixed.

issue#4 not from my side.

#3 - 04/07/2021 05:37 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Shadi Abuomar

kindly consider issue #4 where it is attachments issue

#4 - 04/08/2021 11:43 AM - Mohannad Sabra

- Assignee changed from Shadi Abuomar to Sewar Tahat

- Co-Workers Shadi Abuomar added

Dear Sewar,

Kindly check the buse #1,2,3

Dear Shadi
Kindly Coordinate with sewar to solve bug #4

#5 - 04/08/2021 11:49 AM - Mohannad Sabra

- Assignee changed from Sewar Tahat to Shadi Abuomar

Dear Shadi

Kindly Coordinate with sewar to solve bug #4

#6 - 04/08/2021 12:00 PM - Sewar Tahat

Issue # 1,2,3 >> already solved, but it seems to need deployment on QA environment

#7 - 04/22/2021 11:47 AM - Shadi Abuomar

- Status changed from Feedback to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

Attachments issues solved

#8 - 04/25/2021 01:59 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Sewar Tahat

Issue #1:

tested and verified.

Issue #2:

tested and verified.

Issue #3:

tested and verified.

Issue #4:

tested and verified.

new issue, issue #5:

once the file is stopped an error will be occurred and if the submit action is clicked again another error will be occurred as on the following video:

https://www.loom.com/share/21252f68a1a048ae842efe0fbbf6616b

Once the user search for the exceptional stop task, it could not be found ! and the file status will keep active. Evidence 9.gif

#9 - 04/25/2021 02:08 PM - Saja Nakhleh

- File 9.GIF added

#10 - 05/17/2021 01:48 PM - Sewar Tahat

- Assignee changed from Sewar Tahat to Saja Nakhleh
Fixed

#11 - 05/17/2021 02:28 PM - Saja Nakhleh

- Status changed from Feedback to Closed

issue #5:

tested and verified.

Files

36.png 162 KB 04/01/2021 Saja Nakhleh

1000 char.txt 1.56 KB 04/01/2021 Saja Nakhleh

1.GIF 207 KB 04/01/2021 Saja Nakhleh

8MB.rar 2.73 MB 04/01/2021 Saja Nakhleh

9.GIF 78.1 KB 04/25/2021 Saja Nakhleh
